Debian Bug report logs - #82969
[patch] transparent support for bzip2 compression

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: "Gregory T. Norris" <adric@debian.org>

Date: Sat, 20 Jan 2001 17:03:16 UTC

Severity: wishlist

Found in version 1.28-1

Fixed in version diffstat/1.31-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, scott@debian.org (Scott K. Ellis):
Bug#82969; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to "Gregory T. Norris" <adric@debian.org>:
New Bug report received and forwarded. Copy sent to scott@debian.org (Scott K. Ellis). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Gregory T. Norris" <adric@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [patch] transparent support for bzip2 compression
Date: Sat, 20 Jan 2001 11:02:40 -0600
[Message part 1 (text/plain, inline)]
Package: diffstat
Version: 1.28-1
Severity: wishlist

It would be helpful (to me, at least :-) if diffstat could handle
bzip2-compressed diffs transparently, as it does with gzip.  A small
patch which adds this feature is included below.

Cheers!

---------- SNIP ----------
diff -urN diffstat-1.28.orig/diffstat.c diffstat-1.28/diffstat.c
--- diffstat-1.28.orig/diffstat.c	Wed Mar 29 18:01:19 2000
+++ diffstat-1.28/diffstat.c	Sat Jan 20 10:36:18 2001
@@ -705,6 +705,8 @@
 	verb = "compress -dc %s";
     } else if (len > 3 && !strcmp(name + len - 3, ".gz")) {
 	verb = "gzip -dc %s";
+    } else if (len > 4 && !strcmp(name + len - 4, ".bz2")) {
+        verb = "bzip2 -dc %s";
     }
     if (verb != 0) {
 	result = malloc(strlen(verb) + len);
---------- SNIP ----------


-- System Information
Debian Release: unstable
Architecture: i386
Kernel: Linux glitch 2.4.0 #1 SMP Mon Jan 15 20:34:07 CST 2001 i686

Versions of packages diffstat depends on:
ii  libc6                         2.2.1-1    GNU C Library: Shared libraries an
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, scott@debian.org (Scott K. Ellis):
Bug#82969; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to scott@debian.org (Scott K. Ellis). Full text and rfc822 format available.

Message #10 received at 82969@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com
To: 82969@bugs.debian.org
Cc: dickey@herndon4.his.com
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=82969&repeatmerged=y
Date: Wed, 10 Oct 2001 20:32:39 -0400
I just uploaded a new version (1.29) which adds this change, plus another
one that I noticed a while ago.

	ftp://invisible-island.net/diffstat/diffstat-1.29.tgz

                        Debian Bug report logs - #82969
>               [patch] transparent support for bzip2 compression
>
>   Severity:  wishlist;  Package:  diffstat;  ;Reported  by:  "Gregory T.
>   Norris"  <adric@debian.org>;  dated  Sat,  20  Jan  2001 17:03:16 UTC;
>   Maintainer for diffstat is scott@debian.org (Scott K. Ellis).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Gregory T. Norris" <adric@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 82969-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 82969-close@bugs.debian.org
Subject: Bug#82969: fixed in diffstat 1.31-1
Date: Mon, 21 Oct 2002 21:17:13 -0400
We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.31-1.diff.gz
  to pool/main/d/diffstat/diffstat_1.31-1.diff.gz
diffstat_1.31-1.dsc
  to pool/main/d/diffstat/diffstat_1.31-1.dsc
diffstat_1.31-1_i386.deb
  to pool/main/d/diffstat/diffstat_1.31-1_i386.deb
diffstat_1.31.orig.tar.gz
  to pool/main/d/diffstat/diffstat_1.31.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 82969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 21 Oct 2002 18:13:13 -0500
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.31-1
Distribution: unstable
Urgency: low
Maintainer: Greg Norris <adric@debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 82969 126452 159415 160627 161406
Changes: 
 diffstat (1.31-1) unstable; urgency=low
 .
   * New maintainer (with permission from Scott ;-).
   * New upstream release (closes: #82969, #126452, #161406)
   * No longer has problems with "new style" GNU diffs (closes: #160627)
   * Correct the upstream URL (closes: #159415)
   * I can't reproduce bug#155000 (diffstat gets confused on funny
     lines...) with this version.  Confirmation would be welcome.
   * Update to standards version 3.5.7 (no changes required)
Files: 
 b4a5e6bc033c971b648a058b0f22d866 558 devel optional diffstat_1.31-1.dsc
 8e3f2f2a0c92de2190aed87c17d72dab 26594 devel optional diffstat_1.31.orig.tar.gz
 93d851b44666a4f5ade19b3c09972746 2983 devel optional diffstat_1.31-1.diff.gz
 d825eff5176edfb3e4e998be3fd86db8 12632 devel optional diffstat_1.31-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)

iD8DBQE9tKXPgrEMyr8Cx2YRAsjnAKCXpSCbig/bLTX9ltKd26dsKZs9SwCgwcG/
PR83qmkv2LbqJhcIl2ca44A=
=IeOl
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:12:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.